# eric7.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesListDialog

Module implementing a dialog to show a list of applied and unapplied patches.

### Global Attributes

None

### Classes

HgQueuesListDialog | Class implementing a dialog to show a list of applied and unapplied patches.

### Functions

None

## HgQueuesListDialog

Class implementing a dialog to show a list of applied and unapplied patches.

### Derived from

QDialog, Ui_HgQueuesListDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgQueuesListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a patch item in the list of patches.
__getSeries | Private slot to get the list of applied, unapplied and guarded patches and patches missing in the series file.
__getTop | Private slot to get patch at the top of the stack.
__markTopItem | Private slot to mark the top patch entry.
__processOutputLine | Private method to process the lines of output.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the list command.

### Static Methods

None

#### HgQueuesListDialog (Constructor)

HgQueuesListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgQueuesListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgQueuesListDialog.__generateItem

__generateItem(index, status, name, summary, error=False)

Private method to generate a patch item in the list of patches.

index
  index of the patch (integer, -1 for missing)
status
  status of the patch (string)
name
  name of the patch (string)
summary
  first line of the patch header (string)
error
  flag indicating an error entry (boolean)

#### HgQueuesListDialog.__getSeries

__getSeries(missing=False)

Private slot to get the list of applied, unapplied and guarded patches and patches missing in the series file.

missing
  flag indicating to get the patches missing in the series file (boolean)

#### HgQueuesListDialog.__getTop

__getTop()

Private slot to get patch at the top of the stack.

#### HgQueuesListDialog.__markTopItem

__markTopItem(name)

Private slot to mark the top patch entry.

name
  name of the patch (string)

#### HgQueuesListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgQueuesListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgQueuesListDialog.__resort

__resort()

Private method to resort the tree.

#### HgQueuesListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgQueuesListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgQueuesListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgQueuesListDialog.start

start()

Public slot to start the list command.

Up